Ignore:
Timestamp:
Aug 16, 2008 11:16:13 AM (13 years ago)
Author:
stefan
Message:

update to glpk 4.30

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Glpk/trunk/configure

    r1098 r1105  
    26802680        coin_add_cflags="-pipe"
    26812681        coin_dbg_cflags="-g"
    2682         coin_warn_cflags="-Wimplicit -Wparentheses -Wsequence-point -Wreturn-type -Wcast-qual -Wall -Wno-unknown-pragmas"
    2683         case $build in
    2684           *-darwin*)
    2685             ;;
    2686           *)
    2687             coin_warn_cflags="-pedantic-errors $coin_warn_cflags"
    2688             ;;
    2689         esac
     2682        coin_warn_cflags="-pedantic-errors -Wimplicit -Wparentheses -Wsequence-point -Wreturn-type -Wcast-qual -Wall"
    26902683        case $enable_doscompile in
    26912684          mingw)
     
    27602753        case "$CC" in
    27612754          icc* | */icc*)
    2762             coin_opt_cflags="-O3 -ip -mp1"
     2755            coin_opt_cflags="-O3 -ip"
    27632756            coin_add_cflags=""
    27642757            coin_dbg_cflags="-g"
     
    47224715*-*-irix6*)
    47234716  # Find out which ABI we are using.
    4724   echo '#line 4724 "configure"' > conftest.$ac_ext
     4717  echo '#line 4717 "configure"' > conftest.$ac_ext
    47254718  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    47264719  (eval $ac_compile) 2>&5
     
    63216314
    63226315# Provide some information about the compiler.
    6323 echo "$as_me:6323:" \
     6316echo "$as_me:6316:" \
    63246317     "checking for Fortran 77 compiler version" >&5
    63256318ac_compiler=`set X $ac_compile; echo $2`
     
    73887381   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    73897382   -e 's:$: $lt_compiler_flag:'`
    7390    (eval echo "\"\$as_me:7390: $lt_compile\"" >&5)
     7383   (eval echo "\"\$as_me:7383: $lt_compile\"" >&5)
    73917384   (eval "$lt_compile" 2>conftest.err)
    73927385   ac_status=$?
    73937386   cat conftest.err >&5
    7394    echo "$as_me:7394: \$? = $ac_status" >&5
     7387   echo "$as_me:7387: \$? = $ac_status" >&5
    73957388   if (exit $ac_status) && test -s "$ac_outfile"; then
    73967389     # The compiler can only warn and ignore the option if not recognized
     
    76567649   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    76577650   -e 's:$: $lt_compiler_flag:'`
    7658    (eval echo "\"\$as_me:7658: $lt_compile\"" >&5)
     7651   (eval echo "\"\$as_me:7651: $lt_compile\"" >&5)
    76597652   (eval "$lt_compile" 2>conftest.err)
    76607653   ac_status=$?
    76617654   cat conftest.err >&5
    7662    echo "$as_me:7662: \$? = $ac_status" >&5
     7655   echo "$as_me:7655: \$? = $ac_status" >&5
    76637656   if (exit $ac_status) && test -s "$ac_outfile"; then
    76647657     # The compiler can only warn and ignore the option if not recognized
     
    77607753   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    77617754   -e 's:$: $lt_compiler_flag:'`
    7762    (eval echo "\"\$as_me:7762: $lt_compile\"" >&5)
     7755   (eval echo "\"\$as_me:7755: $lt_compile\"" >&5)
    77637756   (eval "$lt_compile" 2>out/conftest.err)
    77647757   ac_status=$?
    77657758   cat out/conftest.err >&5
    7766    echo "$as_me:7766: \$? = $ac_status" >&5
     7759   echo "$as_me:7759: \$? = $ac_status" >&5
    77677760   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    77687761   then
     
    1010510098  lt_status=$lt_dlunknown
    1010610099  cat > conftest.$ac_ext <<EOF
    10107 #line 10107 "configure"
     10100#line 10100 "configure"
    1010810101#include "confdefs.h"
    1010910102
     
    1020510198  lt_status=$lt_dlunknown
    1020610199  cat > conftest.$ac_ext <<EOF
    10207 #line 10207 "configure"
     10200#line 10200 "configure"
    1020810201#include "confdefs.h"
    1020910202
     
    1254912542   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1255012543   -e 's:$: $lt_compiler_flag:'`
    12551    (eval echo "\"\$as_me:12551: $lt_compile\"" >&5)
     12544   (eval echo "\"\$as_me:12544: $lt_compile\"" >&5)
    1255212545   (eval "$lt_compile" 2>conftest.err)
    1255312546   ac_status=$?
    1255412547   cat conftest.err >&5
    12555    echo "$as_me:12555: \$? = $ac_status" >&5
     12548   echo "$as_me:12548: \$? = $ac_status" >&5
    1255612549   if (exit $ac_status) && test -s "$ac_outfile"; then
    1255712550     # The compiler can only warn and ignore the option if not recognized
     
    1265312646   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1265412647   -e 's:$: $lt_compiler_flag:'`
    12655    (eval echo "\"\$as_me:12655: $lt_compile\"" >&5)
     12648   (eval echo "\"\$as_me:12648: $lt_compile\"" >&5)
    1265612649   (eval "$lt_compile" 2>out/conftest.err)
    1265712650   ac_status=$?
    1265812651   cat out/conftest.err >&5
    12659    echo "$as_me:12659: \$? = $ac_status" >&5
     12652   echo "$as_me:12652: \$? = $ac_status" >&5
    1266012653   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1266112654   then
     
    1422314216   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1422414217   -e 's:$: $lt_compiler_flag:'`
    14225    (eval echo "\"\$as_me:14225: $lt_compile\"" >&5)
     14218   (eval echo "\"\$as_me:14218: $lt_compile\"" >&5)
    1422614219   (eval "$lt_compile" 2>conftest.err)
    1422714220   ac_status=$?
    1422814221   cat conftest.err >&5
    14229    echo "$as_me:14229: \$? = $ac_status" >&5
     14222   echo "$as_me:14222: \$? = $ac_status" >&5
    1423014223   if (exit $ac_status) && test -s "$ac_outfile"; then
    1423114224     # The compiler can only warn and ignore the option if not recognized
     
    1432714320   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1432814321   -e 's:$: $lt_compiler_flag:'`
    14329    (eval echo "\"\$as_me:14329: $lt_compile\"" >&5)
     14322   (eval echo "\"\$as_me:14322: $lt_compile\"" >&5)
    1433014323   (eval "$lt_compile" 2>out/conftest.err)
    1433114324   ac_status=$?
    1433214325   cat out/conftest.err >&5
    14333    echo "$as_me:14333: \$? = $ac_status" >&5
     14326   echo "$as_me:14326: \$? = $ac_status" >&5
    1433414327   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1433514328   then
     
    1653416527   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1653516528   -e 's:$: $lt_compiler_flag:'`
    16536    (eval echo "\"\$as_me:16536: $lt_compile\"" >&5)
     16529   (eval echo "\"\$as_me:16529: $lt_compile\"" >&5)
    1653716530   (eval "$lt_compile" 2>conftest.err)
    1653816531   ac_status=$?
    1653916532   cat conftest.err >&5
    16540    echo "$as_me:16540: \$? = $ac_status" >&5
     16533   echo "$as_me:16533: \$? = $ac_status" >&5
    1654116534   if (exit $ac_status) && test -s "$ac_outfile"; then
    1654216535     # The compiler can only warn and ignore the option if not recognized
     
    1680216795   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1680316796   -e 's:$: $lt_compiler_flag:'`
    16804    (eval echo "\"\$as_me:16804: $lt_compile\"" >&5)
     16797   (eval echo "\"\$as_me:16797: $lt_compile\"" >&5)
    1680516798   (eval "$lt_compile" 2>conftest.err)
    1680616799   ac_status=$?
    1680716800   cat conftest.err >&5
    16808    echo "$as_me:16808: \$? = $ac_status" >&5
     16801   echo "$as_me:16801: \$? = $ac_status" >&5
    1680916802   if (exit $ac_status) && test -s "$ac_outfile"; then
    1681016803     # The compiler can only warn and ignore the option if not recognized
     
    1690616899   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1690716900   -e 's:$: $lt_compiler_flag:'`
    16908    (eval echo "\"\$as_me:16908: $lt_compile\"" >&5)
     16901   (eval echo "\"\$as_me:16901: $lt_compile\"" >&5)
    1690916902   (eval "$lt_compile" 2>out/conftest.err)
    1691016903   ac_status=$?
    1691116904   cat out/conftest.err >&5
    16912    echo "$as_me:16912: \$? = $ac_status" >&5
     16905   echo "$as_me:16905: \$? = $ac_status" >&5
    1691316906   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1691416907   then
     
    2008020073  echo "$as_me:$LINENO: result: ${majorver}.${minorver}" >&5
    2008120074echo "${ECHO_T}${majorver}.${minorver}" >&6
    20082   if test $majorver != 4 || test $minorver != 26 ; then
    20083     { { echo "$as_me:$LINENO: error: \"Incorrect GLPK version. This build system is made for GLPK 4.26. Please update by rerunning get.GLPK\"" >&5
    20084 echo "$as_me: error: \"Incorrect GLPK version. This build system is made for GLPK 4.26. Please update by rerunning get.GLPK\"" >&2;}
     20075  if test $majorver != 4 || test $minorver != 30 ; then
     20076    { { echo "$as_me:$LINENO: error: \"Incorrect GLPK version. This build system is made for GLPK 4.30. Please update by rerunning get.GLPK\"" >&5
     20077echo "$as_me: error: \"Incorrect GLPK version. This build system is made for GLPK 4.30. Please update by rerunning get.GLPK\"" >&2;}
    2008520078   { (exit 1); exit 1; }; }
    2008620079  fi
Note: See TracChangeset for help on using the changeset viewer.